import { UiComponent } from "../UiComponent";
export declare class ContextMenu {
    private width;
    private height;
    private viewPortPadding;
    private content;
    private $main;
    private $spinner;
    constructor();
    setContent(content: UiComponent): void;
    open(pageX: number, pageY: number): void;
    close(): void;
    setSize(width: number, height: number): void;
    private updateSize;
}
